<div class="content">
  <!--TITLE-->
  <h2>
    <sentinel-markdown-view [markdown]="'Question ' + index.toString() + ':'"></sentinel-markdown-view>
    <sentinel-markdown-view [markdown]="question.title"></sentinel-markdown-view>
  </h2>
  <p class="required-note" *ngIf="question.required && !isBacktracked">Answer required</p>

  <!--RADIO TABLE-->
  <table>
    <!-- TABLE HEADER-->
    <tr>
      <th></th>
      <th *ngFor="let option of question.extendedMatchingOptions">{{ option.text }}</th>
    </tr>

    <!-- TABLE BODY-->
    <tr
      *ngFor="let statement of question.extendedMatchingStatements; index as i"
      [ngClass]="{ inner: !isBacktracked }"
    >
      <td>{{ statement.text }}</td>
      <mat-radio-group [disabled]="isBacktracked">
        <td *ngFor="let option of question.extendedMatchingOptions; index as j">
          <mat-radio-button
            [value]="{ x: i, y: j }"
            [checked]="statement.correctOptionOrder === j"
            (change)="onAnswerChanged(i, j)"
          ></mat-radio-button>
        </td>
      </mat-radio-group>
    </tr>
  </table>
</div>
